
EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey
Model EWS2910P-Kit-300Part no. EWS2910P-KIT-300EAN 655216007710
40 specifications
- Memory256 MB
- Type1U
- Weight620 g
- ColourGrey
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity8
Overview
- Memory
- 256 MB
- Type
- 1U
- Weight
- 620 g
- Colour
- Grey
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 8
- Brand
- EnGenius
- Category
- Network Switch
- Model
- EWS2910P-Kit-300
- Part number
- EWS2910P-KIT-300
- EAN / UPC
- 655216007710, 6552160077100
- Also known as
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey
Specifications
40 specifications in 13 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L2 |
| Web-based management | Yes |
| MIB support | RFC1213, RFC1493, RFC1757, RFC2674 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 8 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 2 |
| Installed SFP+ modules quantity | 0 |
| Console port | RJ-45 |
| Power connector | DC-in jack |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3az, IEEE 802.3u |
Data transmission
| Specification | Value |
|---|---|
| Switching capacity | 20 Gbit/s |
Security
| Specification | Value |
|---|---|
| IGMP snooping | Yes |
| Security algorithms | WEP, WPA, WPA2 |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Form factor | 1U |
| Product colour | Grey |
| LED indicators | Yes |
Performance
| Specification | Value |
|---|---|
| Internal memory | 256 MB |
| Flash memory | 32 MB |
Power
| Specification | Value |
|---|---|
| Output voltage | 48 V |
| Output current | 1.75 A |
| Power consumption (typical) | 15 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
| Power over Ethernet (PoE) ports quantity | 8 |
| Total Power over Ethernet (PoE) budget | 61.6 W |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 105 mm |
| Depth | 240 mm |
| Height | 27 mm |
| Weight | 620 g |
Packaging content
| Specification | Value |
|---|---|
| Cables included | AC |
| Quick start guide | Yes |
Packaging data
| Specification | Value |
|---|---|
| Wall mounting kit | Yes |
| Package width | 168 mm |
| Package depth | 271 mm |
| Package height | 85 mm |
| Package weight | 1.5 kg |
What people say
Reviews & ratings
EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey
No reviews yet
Be the first to tell others how EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey
All network switch comparisons- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsEnGenius EWS2910P Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsEnGenius EWS1200D-10T network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsEnGenius EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsEnGenius EGS7252FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsBuffalo BS-GU2005P network switch Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsLevelOne 26-Port L2 Managed Gigabit Fiber SwitchCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsD-Link DGS-105 2 PackCompare specs
- EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey vsD-Link 8-Port Desktop Gigabit PoE+ SwitchCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















